{*******************************************************}
{                                                       }
{            Avrora Card Gaming Components              }
{                                                       }
{            Copyright (c) 1999 Avrora LLC              }
{                                                       }
{*******************************************************}
{ This is PROPRIETARY SOURCE CODE of Avrora LLC;        }
{ the contents of this file may not be disclosed to     }
{ third parties, copied or duplicated in any form, in   }
{ whole or in part, without the prior written           }
{ permission of Avrora LLC.                             }
{*******************************************************}

unit ESNetManager;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ScktComp;

type
  TESNetManager = class(TComponent)
  private
    FServerSocket : TServerSocket;  { OWNED }
    FClientSocket : TClientSocket;  { OWNED }
    { Private declarations }
  protected
    { Protected declarations }
    procedure Loaded; override;
  public
    { Public declarations }
    constructor Create(AOwner : TComponent); override;
    destructor Destroy; override;
  published
    { Published declarations }
  end;

implementation

{ TESNetManager }

constructor TESNetManager.Create(AOwner: TComponent);
begin
  inherited;
  FServerSocket := TServerSocket.Create(nil);
  FClientSocket := TClientSocket.Create(nil);
end;

destructor TESNetManager.Destroy;
begin
  FServerSocket.Free;
  FClientSocket.Free;
  inherited;
end;

procedure TESNetManager.Loaded;
begin
  ShowMessage('TESNetManager component is not functional yet.');
end;

end.
